## dde-api-proxy 1.0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(dde-api-proxy LANGUAGES CXX)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

macro(install_symlink filepath wantsdir)
    file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)
    execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_INSTALL_PREFIX}/lib/systemd/user/${filepath} ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath})
    install(FILES ${PROJECT_BINARY_DIR}/link/${wantsdir}/${filepath} DESTINATION lib/systemd/user/${wantsdir}/)
endmacro(install_symlink)

add_subdirectory("src")
add_subdirectory("misc")

=== misc/CMakeLists.txt ===

file(GLOB_RECURSE INSTALL_DBUS_CONF ${CMAKE_CURRENT_SOURCE_DIR}/dbus/conf/*.conf)
install(FILES ${INSTALL_DBUS_CONF} DESTINATION share/dbus-1/system.d/)

file(GLOB_RECURSE INSTALL_DBUS_SERVICES ${CMAKE_CURRENT_SOURCE_DIR}/dbus/services/*.service)
install(FILES ${INSTALL_DBUS_SERVICES} DESTINATION share/dbus-1/services/)

file(GLOB_RECURSE INSTALL_DBUS_SYSTEMSERVICES ${CMAKE_CURRENT_SOURCE_DIR}/dbus/system-services/*.service)
install(FILES ${INSTALL_DBUS_SYSTEMSERVICES} DESTINATION share/dbus-1/system-services/)

file(GLOB_RECURSE INSTALL_SYSTEMD_SYSTEM ${CMAKE_CURRENT_SOURCE_DIR}/systemd/system/*.service)
install(FILES ${INSTALL_SYSTEMD_SYSTEM} DESTINATION lib/systemd/system/)

file(GLOB_RECURSE INSTALL_SYSTEMD_USER ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/*.service)
install(FILES ${INSTALL_SYSTEMD_USER} DESTINATION lib/systemd/user/)

=== src/dbus-proxy/CMakeLists.txt ===
set(PRO_NAME "dde-dbus-proxy")

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# NOTE: While this project is deprecated, it might still be needed for compatibility reasons. Currently it cannot be compiled with Qt6
find_package(QT NAMES Qt5 COMPONENTS Core REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core DBus REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(DtkTools REQUIRED)

macro(qt5_add_dbus_proxy_interface_fix srcs xml class file)
  execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file} ${DBUS_FILE_PATH}/${xml})
  list(APPEND ${srcs}
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file}.h
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file}.cpp
  )
endmacro(qt5_add_dbus_proxy_interface_fix)

set(DBUS_PROXY_SOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory("v1")
# add_subdirectory("test-to-v0")

=== src/dbus-proxy/test-to-v0/CMakeLists.txt ===
set(PRO_NAME "dde-api-dbus-proxy-test-to-v0")

file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v0/session/)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v0/system/)
list(APPEND QT_DBUS_PROXY_INTERFACE_INCLUDE
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v0/session/
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v0/system/
)

file(GLOB_RECURSE PROXY_DBUS_TYPES ${DBUS_FILE_PATH}/types/*)

# dbus interface
qt5_add_dbus_proxy_interface_fix(PROXY_INTERFACE_SOURCES v0/session/com.deepin.daemon.SoundEffect.xml SoundEffect v0/session/com_deepin_daemon_SoundEffect)
qt5_add_dbus_proxy_interface_fix(PROXY_INTERFACE_SOURCES v0/session/com.deepin.dbusdemo.xml DbusDemo v0/session/com_deepin_dbusdemo)
# test
qt5_add_dbus_proxy_interface_fix(PROXY_INTERFACE_SOURCES v0/system/com.deepin.daemon.Accounts.xml System_Accounts v0/system/com_deepin_daemon_Accounts)
qt5_add_dbus_proxy_interface_fix(PROXY_INTERFACE_SOURCES v0/system/com.deepin.daemon.Accounts.User.xml System_AccountsUser v0/system/com_deepin_daemon_Accounts_User)

add_executable(${PRO_NAME}
    main.cpp
    ${PROXY_INTERFACE_SOURCES}
    ${PROXY_DBUS_TYPES}
)

target_link_libraries(${PRO_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    ${DtkCore_LIBRARIES}
 )

target_include_directories(${PRO_NAME} PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PROXY_DBUSEXTENDED_INCLUDE}
    ${DBUS_PROXY_SOURCE_PATH}/dbus/
    ${DBUS_PROXY_SOURCE_PATH}/common/
    ${QT_DBUS_PROXY_INTERFACE_INCLUDE}
    ${DBUS_FILE_PATH}
)

=== src/dbus-proxy/v1/CMakeLists.txt ===
set(PRO_SYSTEM_NAME "dde-api-dbus-proxy-system-v1")
set(PRO_SESSION_NAME "dde-api-dbus-proxy-session-v1")

file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/session/)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/system/)
list(APPEND QT_DBUS_PROXY_INTERFACE_INCLUDE 
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/session/
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/system/
)

file(GLOB_RECURSE PROXY_DBUS_TYPES ${DBUS_FILE_PATH}/types/*)

# dbus interface
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Accounts1.xml System_Accounts1 v1/system/system_org_deepin_dde_Accounts1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Accounts1.User.xml System_Accounts1User v1/system/system_org_deepin_dde_Accounts1_User)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Gesture1.xml System_Gesture1 v1/system/system_org_deepin_dde_Gesture1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Grub2.xml System_Grub2 v1/system/system_org_deepin_dde_Grub2)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Grub2.Theme.xml System_Grub2Theme v1/system/system_org_deepin_dde_Grub2_Theme)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Grub2.EditAuthentication.xml System_Grub2EditAuthentication v1/system/system_org_deepin_dde_Grub2_EditAuthentication)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.PasswdConf1.xml System_PasswdConf1 v1/system/system_org_deepin_dde_PasswdConf1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Lastore1.Manager.xml System_Lastore1Manager v1/system/system_org_deepin_dde_Lastore1_Manager)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Lastore1.Updater.xml System_Lastore1Updater v1/system/system_org_deepin_dde_Lastore1_Updater)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Lastore1.Job.xml System_Lastore1Job v1/system/system_org_deepin_dde_Lastore1_Job)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.LockService1.xml System_LockService1 v1/system/system_org_deepin_dde_LockService1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Display1.xml System_Display1 v1/system/system_org_deepin_dde_Display1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Power1.xml System_Power1 v1/system/system_org_deepin_dde_Power1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.SystemInfo1.xml System_SystemInfo1 v1/system/system_org_deepin_dde_SystemInfo1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Timedate1.xml System_Timedate1 v1/system/system_org_deepin_dde_Timedate1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Network1.xml System_Network1 v1/system/system_org_deepin_dde_Network1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.AirplaneMode1.xml System_AirplaneMode1 v1/system/system_org_deepin_dde_AirplaneMode1)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.PowerManager1.xml System_PowerManager1 v1/system/system_org_deepin_dde_PowerManager1)

qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.XEventMonitor1.xml Session_XEventMonitor1 v1/session/session_org_deepin_dde_XEventMonitor1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Appearance1.xml Session_Appearance1 v1/session/session_org_deepin_dde_Appearance1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Audio1.xml Session_Audio1 v1/session/session_org_deepin_dde_Audio1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Audio1.Sink.xml Session_Audio1Sink v1/session/session_org_deepin_dde_Audio1_Sink)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Audio1.Source.xml Session_Audio1Source v1/session/session_org_deepin_dde_Audio1_Source)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Bluetooth1.xml Session_Bluetooth1 v1/session/session_org_deepin_dde_Bluetooth1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Display1.xml Session_Display1 v1/session/session_org_deepin_dde_Display1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Display1.Monitor.xml Session_Display1Monitor v1/session/session_org_deepin_dde_Display1_Monitor)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Keybinding1.xml Session_Keybinding1 v1/session/session_org_deepin_dde_Keybinding1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.LangSelector1.xml Session_LangSelector1 v1/session/session_org_deepin_dde_LangSelector1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Network1.xml Session_Network1 v1/session/session_org_deepin_dde_Network1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Permission1.xml Session_Permission1 v1/session/session_org_deepin_dde_Permission1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Power1.xml Session_Power1 v1/session/session_org_deepin_dde_Power1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.SoundEffect1.xml Session_SoundEffect1 v1/session/session_org_deepin_dde_SoundEffect1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.SystemInfo1.xml Session_SystemInfo1 v1/session/session_org_deepin_dde_SystemInfo1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Timedate1.xml Session_Timedate1 v1/session/session_org_deepin_dde_Timedate1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.ControlCenter1.xml Session_ControlCenter1 v1/session/session_org_deepin_dde_ControlCenter1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.ControlCenter1.GrandSearch.xml Session_ControlCenter1GrandSearch v1/session/session_org_deepin_dde_ControlCenter1_GrandSearch)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.daemon.Dock1.xml Session_DaemonDock1 v1/session/session_org_deepin_dde_daemon_Dock1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.daemon.Launcher1.xml Session_DaemonLauncher1 v1/session/session_org_deepin_dde_daemon_Launcher1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Dock1.xml Session_Dock1 v1/session/session_org_deepin_dde_Dock1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Launcher1.xml Session_Launcher1 v1/session/session_org_deepin_dde_Launcher1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.LockFront1.xml Session_LockFront1 v1/session/session_org_deepin_dde_LockFront1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Notification1.xml Session_Notification1 v1/session/session_org_deepin_dde_Notification1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Osd1.xml Session_Osd1 v1/session/session_org_deepin_dde_Osd1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.ShutdownFront1.xml Session_ShutdownFront1 v1/session/session_org_deepin_dde_ShutdownFront1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.TrayManager1.xml Session_TrayManager1 v1/session/session_org_deepin_dde_TrayManager1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.SessionManager1.xml Session_SessionManager1 v1/session/session_org_deepin_dde_SessionManager1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.StartManager1.xml Session_StartManager1 v1/session/session_org_deepin_dde_StartManager1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.desktopspec.MimeManager1.xml Session_MimeManager v1/session/session_org_desktopspec_MimeManager1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.WMSwitcher1.xml Session_WMSwitcher1 v1/session/session_org_deepin_dde_WMSwitcher1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevices1.xml Session_InputDevices1 v1/session/session_org_deepin_dde_InputDevices1)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.Wacom.xml Session_InputDevice1Wacom v1/session/session_org_deepin_dde_InputDevice1_Wacom)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.TouchPad.xml Session_InputDevice1TouchPad v1/session/session_org_deepin_dde_InputDevice1_TouchPad)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.daemon.Dock1.Entry.xml Session_Dock1Entry v1/session/session_org_deepin_dde_daemon_Dock1_Entry)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.Keyboard.xml Session_InputDevice1Keyboard v1/session/session_org_deepin_dde_InputDevice1_Keyboard)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.Mouse.xml Session_InputDevice1Mouse v1/session/session_org_deepin_dde_InputDevice1_Mouse)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.TrackPoint.xml Session_InputDevice1TrackPoint v1/session/session_org_deepin_dde_InputDevice1_TrackPoint)

add_executable(${PRO_SYSTEM_NAME}
    system/main.cpp
    ${SYSTEM_PROXY_INTERFACE_SOURCES}
    ${PROXY_DBUS_TYPES}
)
target_link_libraries(${PRO_SYSTEM_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    ${DtkCore_LIBRARIES}
 )
target_include_directories(${PRO_SYSTEM_NAME} PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PROXY_DBUSEXTENDED_INCLUDE}
    ${DBUS_PROXY_SOURCE_PATH}/dbus/
    ${DBUS_PROXY_SOURCE_PATH}/common/
    ${QT_DBUS_PROXY_INTERFACE_INCLUDE}
    ${DBUS_FILE_PATH}
    ${DtkCore_INCLUDE_DIRS}
)
install(TARGETS ${PRO_SYSTEM_NAME} DESTINATION lib/dde-api-proxy/dbus-proxy/)

add_executable(${PRO_SESSION_NAME}
    session/main.cpp
    ${SESSION_PROXY_INTERFACE_SOURCES}
    ${PROXY_DBUS_TYPES}
)
target_link_libraries(${PRO_SESSION_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    ${DtkCore_LIBRARIES}
 )
target_include_directories(${PRO_SESSION_NAME} PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PROXY_DBUSEXTENDED_INCLUDE}
    ${DBUS_PROXY_SOURCE_PATH}/dbus/
    ${DBUS_PROXY_SOURCE_PATH}/common/
    ${QT_DBUS_PROXY_INTERFACE_INCLUDE}
    ${DBUS_FILE_PATH}
)
install(TARGETS ${PRO_SESSION_NAME} DESTINATION lib/dde-api-proxy/dbus-proxy/)

=== debian/changelog ===
dde-api-proxy (1.0.16) unstable; urgency=medium

  * chore: 添加PowerManager接口

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 Aug 2024 15:10:08 +0800

dde-api-proxy (1.0.15) unstable; urgency=medium

  * chore: 放开account的接口 (#45)
  * chore: 属性是subPath，发送的信号也需要转换 

 -- fuleyi <fuleyi@uniontech.com>  Tue, 06 Aug 2024 15:43:02 +0800

dde-api-proxy (1.0.14) unstable; urgency=medium

  * fix: the first call returned interface not found

 -- fuleyi <fuleyi@uniontech.com>  Fri, 26 Jul 2024 14:10:12 +0800

dde-api-proxy (1.0.13) unstable; urgency=medium

  * release to 1.0.13

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 11:20:54 +0800

dde-api-proxy (1.0.12) UNRELEASED; urgency=medium

  * chore: 开放system/network权限
  * chore: 将api-proxy启动提前
  * chore: 开放显示/网络/时间的V0接口权限，适配任务栏插件
  * chore: 开放Notification V0接口 (#31)
  * chore: 添加飞行模式接口 (#30)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 19 Jul 2024 17:34:05 +0800

dde-api-proxy (1.0.11) unstable; urgency=medium

  * chore: 支持1070蓝牙插件迁移的接口调用
  * chore: 开放ShutdownFront接口权限
  * chore: 去掉dde-dock依赖 (#22)
  * chore: 添加inputdevice子接口
  * chore: 开放power接口 (#24)
  * chore: 控制中心showpage的入参兼容v20和v23
  * chore: 开放system/power的接口
  * chore: 开放lockfront的接口

 -- Wang Fei <wangfei@deepin.org>  Mon, 08 Jul 2024 13:44:37 +0800

dde-api-proxy (1.0.10) unstable; urgency=medium

  * chore: update appearance dbus xml
  * fix: 修复 GetAll 崩溃

 -- zsien <quezhiyong@deepin.org>  Fri, 21 Jun 2024 10:20:54 +0800

dde-api-proxy (1.0.9) unstable; urgency=medium

  * fix: com.deepin.daemon.Mime not working

 -- zsien <quezhiyong@deepin.org>  Thu, 23 May 2024 10:20:44 +0800

dde-api-proxy (1.0.8) unstable; urgency=medium

  * chore: add dde-launchpad as alternative dependency of dde-launcher

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 05 Sep 2023 10:40:00 +0800

dde-api-proxy (1.0.7) unstable; urgency=medium

  * chore: remove user session systemd service
  * fix: chore: remove \r char at the end of Lines

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 14:54:15 +0800

dde-api-proxy (1.0.6) unstable; urgency=medium

  * fix: add proxy for com.deepin.lastore.Job

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 11:36:20 +0800

dde-api-proxy (1.0.5) unstable; urgency=medium

  * fix: Log is too much

 -- lvpeilong <chenhongtao@uniontech.com>  Thu, 20 Apr 2023 14:44:30 +0800

dde-api-proxy (1.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 服务信号自动转发(Task: 237943)(Influence: dde-api-proxy)
  * fix: 大版本升级异常问题修复(Bug: 183785)(Influence: 升级环境)

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 02 Feb 2023 09:50:30 +0800

dde-api-proxy (1.0.3.1) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 增加对DDE项目的运行依赖，解决大版本升级安装失败问题(Task: 235393)(Influence: 运行依赖)

 -- lvpeilong <lvpeilong@uniontech.com>  Tue, 10 Jan 2023 09:36:47 +0800

dde-api-proxy (1.0.2.1) unstable; urgency=medium

  * UNRELEASED

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 19:18:16 +0800

dde-api-proxy (1.0.1.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 实现DDE接口的代理服务2(Task: 222561)(Influence: DBUS接口兼容性)
  * feat: 支持多种类型的子PATH属性(Task: 222561)(Influence: 支持多种类型的子PATH属性)
  * feat: 实现DDE接口的代理服务3(Task: 225417)(Influence: DBUS接口兼容性)
  * feat: 新增控制中心GrandSearch接口的代理(Task: 225417)(Influence: DBUS代理接口)
  * feat: 非统计的DBUS代理接口补充(Task: 227237)(Influence: DBUS代理接口)
  * feat: 服务接口代理的初版简单统计(Task: 227483)(Influence: 代理调用统计)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 18:45:30 +0800

dde-api-proxy (1.0.0) unstable; urgency=medium

  * 1.0.0 init

 -- Tan Feng <tanfeng@uniontech.com>  Thu, 01 Dec 2022 21:10:20 +0800

=== debian/control ===
Source: dde-api-proxy
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 pkg-config,
 libdtkcore-dev (>=5.4.14),
 libdtkcore5-bin,
 qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-api-proxy
Architecture: any
Depends:
 dde-api-dbus-proxy-v1,
Description: dde api proxy index
  dde-api-proxy is used for compatibility with old APIs for DDE.

Package: dde-api-dbus-proxy-v1
Architecture: any
Depends:
 dde-daemon (>= 6.0.7),
 dde-permission-manager (>= 1.0.5),
 lastore-daemon (>= 6.0.2),
 dde-launcher (>= 6.0.5.2) | dde-launchpad (>= 0.0.1),
 dde-control-center (>= 6.0.5),
 dde-session-shell (>= 6.0.4),
 dde-session-ui (>= 6.0.5),
 deepin-pw-check (>= 6.0.1),
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde api dbus proxy module
  dde-api-dbus-proxy is used for compatibility with old dbus APIs for DDE.

## dde-api-proxy 1.0.19.1

=== src/dbus-proxy/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,15 @@
 find_package(PkgConfig REQUIRED)
 find_package(DtkCore REQUIRED)
 find_package(DtkTools REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
 
-macro(qt5_add_dbus_proxy_interface_fix srcs xml class file)
-  execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file} ${DBUS_FILE_PATH}/${xml})
+macro(qt5_add_dbus_proxy_interface_fix srcs xml class file neednamespace)
+    if(${neednamespace})
+        execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file} ${DBUS_FILE_PATH}/${xml})
+    else()
+        execute_process(COMMAND ${DTK_XML2CPP} -c ${class} -p ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file} ${DBUS_FILE_PATH}/${xml} -N)
+    endif()
+  
   list(APPEND ${srcs}
     ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file}.h
     ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/${file}.cpp

=== src/dbus-proxy/v1/CMakeLists.txt ===
set(PRO_NAME "dde-api-dbus-proxy-v1")

file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/session/)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/system/)
list(APPEND QT_DBUS_PROXY_INTERFACE_INCLUDE 
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/session/
    ${PROJECT_BINARY_DIR}/dbus-proxy/dbusinterface/v1/system/
)

file(GLOB_RECURSE PROXY_DBUS_TYPES ${DBUS_FILE_PATH}/types/*)

# dbus interface
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Accounts1.xml System_Accounts1 v1/system/system_org_deepin_dde_Accounts1 ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Accounts1.User.xml System_Accounts1User v1/system/system_org_deepin_dde_Accounts1_User ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Gesture1.xml System_Gesture1 v1/system/system_org_deepin_dde_Gesture1 ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Grub2.xml System_Grub2 v1/system/system_org_deepin_dde_Grub2 ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Grub2.Theme.xml System_Grub2Theme v1/system/system_org_deepin_dde_Grub2_Theme ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Grub2.EditAuthentication.xml System_Grub2EditAuthentication v1/system/system_org_deepin_dde_Grub2_EditAuthentication ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.PasswdConf1.xml System_PasswdConf1 v1/system/system_org_deepin_dde_PasswdConf1 ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Lastore1.Manager.xml System_Lastore1Manager v1/system/system_org_deepin_dde_Lastore1_Manager ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Lastore1.Updater.xml System_Lastore1Updater v1/system/system_org_deepin_dde_Lastore1_Updater ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Lastore1.Job.xml System_Lastore1Job v1/system/system_org_deepin_dde_Lastore1_Job ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.LockService1.xml System_LockService1 v1/system/system_org_deepin_dde_LockService1 ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Display1.xml System_Display1 v1/system/system_org_deepin_dde_Display1 OFF)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Power1.xml System_Power1 v1/system/system_org_deepin_dde_Power1 OFF)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.SystemInfo1.xml System_SystemInfo1 v1/system/system_org_deepin_dde_SystemInfo1 OFF)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Timedate1.xml System_Timedate1 v1/system/system_org_deepin_dde_Timedate1 OFF)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.Network1.xml System_Network1 v1/system/system_org_deepin_dde_Network1 OFF)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.AirplaneMode1.xml System_AirplaneMode1 v1/system/system_org_deepin_dde_AirplaneMode1 ON)
qt5_add_dbus_proxy_interface_fix(SYSTEM_PROXY_INTERFACE_SOURCES v1/system/org.deepin.dde.PowerManager1.xml System_PowerManager1 v1/system/system_org_deepin_dde_PowerManager1 ON)

qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.XEventMonitor1.xml Session_XEventMonitor1 v1/session/session_org_deepin_dde_XEventMonitor1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Appearance1.xml Session_Appearance1 v1/session/session_org_deepin_dde_Appearance1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Audio1.xml Session_Audio1 v1/session/session_org_deepin_dde_Audio1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Audio1.Sink.xml Session_Audio1Sink v1/session/session_org_deepin_dde_Audio1_Sink ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Audio1.Source.xml Session_Audio1Source v1/session/session_org_deepin_dde_Audio1_Source ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Bluetooth1.xml Session_Bluetooth1 v1/session/session_org_deepin_dde_Bluetooth1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Display1.xml Session_Display1 v1/session/session_org_deepin_dde_Display1 OFF)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Display1.Monitor.xml Session_Display1Monitor v1/session/session_org_deepin_dde_Display1_Monitor ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Keybinding1.xml Session_Keybinding1 v1/session/session_org_deepin_dde_Keybinding1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.LangSelector1.xml Session_LangSelector1 v1/session/session_org_deepin_dde_LangSelector1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Network1.xml Session_Network1 v1/session/session_org_deepin_dde_Network1 OFF)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Permission1.xml Session_Permission1 v1/session/session_org_deepin_dde_Permission1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Power1.xml Session_Power1 v1/session/session_org_deepin_dde_Power1 OFF)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.SoundEffect1.xml Session_SoundEffect1 v1/session/session_org_deepin_dde_SoundEffect1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.SystemInfo1.xml Session_SystemInfo1 v1/session/session_org_deepin_dde_SystemInfo1 OFF)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Timedate1.xml Session_Timedate1 v1/session/session_org_deepin_dde_Timedate1 OFF)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.ControlCenter1.xml Session_ControlCenter1 v1/session/session_org_deepin_dde_ControlCenter1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.ControlCenter1.GrandSearch.xml Session_ControlCenter1GrandSearch v1/session/session_org_deepin_dde_ControlCenter1_GrandSearch ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.daemon.Dock1.xml Session_DaemonDock1 v1/session/session_org_deepin_dde_daemon_Dock1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.daemon.Launcher1.xml Session_DaemonLauncher1 v1/session/session_org_deepin_dde_daemon_Launcher1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Dock1.xml Session_Dock1 v1/session/session_org_deepin_dde_Dock1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Launcher1.xml Session_Launcher1 v1/session/session_org_deepin_dde_Launcher1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.LockFront1.xml Session_LockFront1 v1/session/session_org_deepin_dde_LockFront1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Notification1.xml Session_Notification1 v1/session/session_org_deepin_dde_Notification1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.Osd1.xml Session_Osd1 v1/session/session_org_deepin_dde_Osd1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.ShutdownFront1.xml Session_ShutdownFront1 v1/session/session_org_deepin_dde_ShutdownFront1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.TrayManager1.xml Session_TrayManager1 v1/session/session_org_deepin_dde_TrayManager1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.SessionManager1.xml Session_SessionManager1 v1/session/session_org_deepin_dde_SessionManager1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.StartManager1.xml Session_StartManager1 v1/session/session_org_deepin_dde_StartManager1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.desktopspec.MimeManager1.xml Session_MimeManager v1/session/session_org_desktopspec_MimeManager1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.WMSwitcher1.xml Session_WMSwitcher1 v1/session/session_org_deepin_dde_WMSwitcher1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevices1.xml Session_InputDevices1 v1/session/session_org_deepin_dde_InputDevices1 ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.Wacom.xml Session_InputDevice1Wacom v1/session/session_org_deepin_dde_InputDevice1_Wacom ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.TouchPad.xml Session_InputDevice1TouchPad v1/session/session_org_deepin_dde_InputDevice1_TouchPad ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.daemon.Dock1.Entry.xml Session_Dock1Entry v1/session/session_org_deepin_dde_daemon_Dock1_Entry ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.Keyboard.xml Session_InputDevice1Keyboard v1/session/session_org_deepin_dde_InputDevice1_Keyboard ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.Mouse.xml Session_InputDevice1Mouse v1/session/session_org_deepin_dde_InputDevice1_Mouse ON)
qt5_add_dbus_proxy_interface_fix(SESSION_PROXY_INTERFACE_SOURCES v1/session/org.deepin.dde.InputDevice1.TrackPoint.xml Session_InputDevice1TrackPoint v1/session/session_org_deepin_dde_InputDevice1_TrackPoint ON)

add_executable(${PRO_NAME}
    main.cpp
    ${SYSTEM_PROXY_INTERFACE_SOURCES}
    ${SESSION_PROXY_INTERFACE_SOURCES}
    ${PROXY_DBUS_TYPES}
)
target_link_libraries(${PRO_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::DBus
    ${DtkCore_LIBRARIES}
    PolkitQt5-1::Core
 )
target_include_directories(${PRO_NAME} PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PROXY_DBUSEXTENDED_INCLUDE}
    ${DBUS_PROXY_SOURCE_PATH}/dbus/
    ${DBUS_PROXY_SOURCE_PATH}/common/
    ${QT_DBUS_PROXY_INTERFACE_INCLUDE}
    ${DBUS_FILE_PATH}
    ${DtkCore_INCLUDE_DIRS}
)
install(TARGETS ${PRO_NAME} DESTINATION lib/dde-api-proxy/dbus-proxy/)

=== debian/changelog ===
dde-api-proxy (1.0.19.1) unstable; urgency=medium

  * feat: 修复dde-api-proxy安全漏洞
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * feat: 进程优化

 -- fuleyi <fuleyi@uniontech.com>  Fri, 17 Jan 2025 10:59:28 +0800

dde-api-proxy (1.0.18) unstable; urgency=medium

  * feat: Expose the Visible property of lockFront in DBus interface (#53)
  * chore: systemd hardening

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 15:53:08 +0800

dde-api-proxy (1.0.17) unstable; urgency=medium

  * chore: account添加UUID、Workspace属性，解决获取不到的问题

 -- fuleyi <fuleyi@uniontech.com>  Wed, 28 Aug 2024 17:37:40 +0800

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libdtkcore-dev (>=5.4.14),
  libdtkcore5-bin,
  qtbase5-dev,
+ libpolkit-qt5-1-dev,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org

## dde-api-proxy 1.0.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,21 @@
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
+
+set(DTK_VERSION "6" CACHE STRING "Dtk Version")
+
+if (DTK_VERSION STREQUAL "5")
+    set(QT_VERSION_MAJOR "5")
+    set(EnableDtk5 on)
+    set(EnableDtk6 off)
+elseif(DTK_VERSION STREQUAL "6")
+    set(QT_VERSION_MAJOR "6")
+    set(DTK_VERSION_MAJOR "6")
+    set(EnableDtk5 off)
+    set(EnableDtk6 on)
+else()
+    message(FATAL_ERROR "Only support DTK_VERSION is 5 or 6")
+endif()
 
 macro(install_symlink filepath wantsdir)
     file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/link/${wantsdir}/)

=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 file(GLOB_RECURSE INSTALL_SYSTEMD_USER ${CMAKE_CURRENT_SOURCE_DIR}/systemd/user/*.service)
 install(FILES ${INSTALL_SYSTEMD_USER} DESTINATION lib/systemd/user/)
+
+file(GLOB_RECURSE INSTALL_POLKIT_1 ${CMAKE_CURRENT_SOURCE_DIR}/polkit-1/actions/*.policy)
+install(FILES ${INSTALL_POLKIT_1} DESTINATION share/polkit-1/actions/)

=== src/CMakeLists.txt ===

set(DBUS_FILE_PATH ${PROJECT_SOURCE_DIR}/file/dbus)

add_subdirectory("dbus-proxy")

=== src/dbus-proxy/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,11 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # NOTE: While this project is deprecated, it might still be needed for compatibility reasons. Currently it cannot be compiled with Qt6
-find_package(QT NAMES Qt5 COMPONENTS Core REQUIRED)
 find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core DBus REQUIRED)
 find_package(PkgConfig REQUIRED)
-find_package(DtkCore REQUIRED)
-find_package(DtkTools REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
+find_package(Dtk${DTK_VERSION_MAJOR}Core REQUIRED)
+find_package(Dtk${DTK_VERSION_MAJOR}Tools REQUIRED)
+find_package(PolkitQt${QT_VERSION_MAJOR}-1 REQUIRED)
 
 macro(qt5_add_dbus_proxy_interface_fix srcs xml class file neednamespace)
     if(${neednamespace})

=== src/dbus-proxy/v1/CMakeLists.txt ===
--- 
+++ 
@@ -77,16 +77,16 @@
 target_link_libraries(${PRO_NAME}
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::DBus
-    ${DtkCore_LIBRARIES}
-    PolkitQt5-1::Core
+    Dtk${DTK_VERSION_MAJOR}::Core
+    PolkitQt${QT_VERSION_MAJOR}-1::Core
  )
 target_include_directories(${PRO_NAME} PUBLIC
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${PROXY_DBUSEXTENDED_INCLUDE}
+    ${DBUS_PROXY_SOURCE_PATH}/
     ${DBUS_PROXY_SOURCE_PATH}/dbus/
     ${DBUS_PROXY_SOURCE_PATH}/common/
     ${QT_DBUS_PROXY_INTERFACE_INCLUDE}
     ${DBUS_FILE_PATH}
-    ${DtkCore_INCLUDE_DIRS}
 )
 install(TARGETS ${PRO_NAME} DESTINATION lib/dde-api-proxy/dbus-proxy/)

=== debian/changelog ===
dde-api-proxy (1.0.21) unstable; urgency=medium

  * chore: remove unnecessary dependencies
  * chore: license check
  * refact: switch to qt6 for debian
  * feat: adapt to qt6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 11:43:12 +0800

dde-api-proxy (1.0.20) unstable; urgency=medium

  * fix: 修复dde-api-proxy安全漏洞

 -- echengqi <echengqi@uniontech.com>  Thu, 13 Feb 2025 19:26:28 +0800

dde-api-proxy (1.0.19) unstable; urgency=medium

  * feat: 修复dde-api-proxy安全漏洞
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * feat: 进程优化

 -- fuleyi <fuleyi@uniontech.com>  Fri, 17 Jan 2025 10:59:28 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  cmake,
  debhelper-compat (= 11),
  pkg-config,
- libdtkcore-dev (>=5.4.14),
- libdtkcore5-bin,
- qtbase5-dev,
- libpolkit-qt5-1-dev,
+ libdtk6core-dev,
+ libdtk6core-bin,
+ qt6-base-dev,
+ libpolkit-qt6-1-dev,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
 
@@ -24,7 +24,6 @@
 Architecture: any
 Depends:
  dde-daemon (>= 6.0.7),
- dde-permission-manager (>= 1.0.5),
  lastore-daemon (>= 6.0.2),
  dde-launcher (>= 6.0.5.2) | dde-launchpad (>= 0.0.1),
  dde-control-center (>= 6.0.5),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DDTK_VERSION=6
